using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class Wipe:SequenceAction  
  { 
    public enum Direction
    {
      In,
      Out,
      Custom
    }

    [Export]
    public Direction direction;

    [Export]
    public float duration;

    [Export]
    public TimeLine timeLine;

    [Export]
    public WipeEffect wipeEffect;

    [ExportGroup("Target Overwrite")]

    [Export]
    public ColorRect targetOverwriteColorRect;
    
    [Export]
    public Selector targetOverwriteSelector;

    [Export]
    public Node targetOverwriteRoot;

    int _actionID = -1;
    int _animationID = -1;

    protected override void _OnTrigger()
    {
      if ( _actionID != -1 )
      {
        CancelAction( _actionID );
      }
    }

    public override void CancelAction( int id )
    {
      
    }
  }
}